#include "VTKDataProcessingPluginFactory.h"
#include "VTKDataProcessingPlugin.h"

#include <QtPlugin>

VTKDataProcessingPluginFactory::VTKDataProcessingPluginFactory()
{
}

VTKDataProcessingPluginFactory::~VTKDataProcessingPluginFactory()
{
}

ritk::ApplicationPlugin*
VTKDataProcessingPluginFactory::CreateInstance()
{
	return new VTKDataProcessingPlugin();
}

QString 
VTKDataProcessingPluginFactory::GetName()
{
	return ("VTKDataProcessing");
}

QString 
VTKDataProcessingPluginFactory::GetDescription()
{
	return ("");
}


Q_EXPORT_PLUGIN2(VTKDataProcessingPlugin, VTKDataProcessingPluginFactory)

